Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface QueryExpressionBranchType

All Superinterfaces:
  BranchType, org.eclipse.emf.ecore.EObject, FilterQueryType, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  QueryExpressionBranchTypeImpl

    public interface QueryExpressionBranchType

extends BranchType

A representation of the model object 'Expression Branch Type'.

The following features are supported:

- `Query Language Query`

See Also:
  `QueryPackage.getQueryExpressionBranchType()`

Method Summary
`ClassificationNodeQueryType` | `getQueryLanguageQuery()` Returns the value of the 'Query Language Query' containment reference.
`void` | `setQueryLanguageQuery(ClassificationNodeQueryType value)` Sets the value of the '`Query Language Query`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQueryLanguageQuery

    ClassificationNodeQueryType getQueryLanguageQuery()

  Returns the value of the 'Query Language Query' containment reference.

  If the meaning of the 'Query Language Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Language Query' containment reference.
  See Also:
    `setQueryLanguageQuery(ClassificationNodeQueryType)`, `QueryPackage.getQueryExpressionBranchType_QueryLanguageQuery()`

### setQueryLanguageQuery

    void setQueryLanguageQuery(ClassificationNodeQueryType value)

  Sets the value of the '`Query Language Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Language Query' containment reference.
  See Also:
    `getQueryLanguageQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD